Bug 434961 - Contradictory firewall status information with ufw
Summary: Contradictory firewall status information with ufw
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_firewall (show other bugs)
Version: 5.21.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-26 10:14 UTC by Sadi
Modified: 2022-10-21 22:51 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sadi 2021-03-26 10:14:24 UTC
SUMMARY, STEPS TO REPRODUCE, AND OBSERVED RESULT

1. In a Live Session, System Settings doesn't show Firewall as "Enabled", but after a fresh install of KDE neon using my /home partition (from Kubuntu), System Settings showed it as "Enabled", although the output of terminal command "sudo ufw status verbose" said it was inactive. However, entering the command "sudo ufw enable" in Konsole, followed by commands to open ports for KDE Connect, properly resulted in 4 rules being displayed in System Settings.

2. Systems Settings also shows Firewall Default Incoming Policy as "Ignore" (and not "Reject"), although the output of terminal command "sudo ufw status verbose" is "Default: deny (incoming), allow (outgoing), disabled (routed)".

EXPECTED RESULT

1. The status of Firewall in System Settings should at all circumstances match the output of the terminal command "sudo ufw status verbose".

2. Default Incoming Policy should be "Deny" and not "Ignore" (also using the term "Deny" instead of "Reject" for the sake of terminological consistency).

SOFTWARE/OS VERSIONS

Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.3
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Comment 1 Nate Graham 2021-03-31 02:51:05 UTC
just tried on a firewalld system with `firewall-cmd --state` and got the correct result FWIW.
Comment 2 Sadi 2021-03-31 12:59:14 UTC
(In reply to Nate Graham from comment #1)

I also tested this again on a completely fresh install, and I couldn't reproduce contradictory firewall status information. Probably it was one of those one-off things that can be ignored.

I cannot say much about the Default Incoming Policy being reported "Ignore" (and not "Reject") in Plasma Firewall Settings, although it is "Deny" according to the output of "sudo ufw status verbose".
Comment 3 Lucas Biaggi 2022-10-21 22:51:58 UTC
Already fixed